boost::geometry::strategy::transform::services::default_strategy< CoordinateSystemTag1, CoordinateSystemTag2, CoordinateSystem1, CoordinateSystem2, Dimension1, Dimension2, Point1, Point2 > Struct Template Reference
transform: apply transformations on geometries

Traits class binding a transformation strategy to a coordinate system. More...

List of all members.

## Public Member Functions

| BOOST_MPL_ASSERT_MSG (false, NOT_IMPLEMENTED_FOR_THIS_POINT_TYPES,(types< Point1, Point2 >))

## Detailed Description

### template<typename CoordinateSystemTag1, typename CoordinateSystemTag2, typename CoordinateSystem1, typename CoordinateSystem2, std::size_t Dimension1, std::size_t Dimension2, typename Point1, typename Point2>
struct boost::geometry::strategy::transform::services::default_strategy< CoordinateSystemTag1, CoordinateSystemTag2, CoordinateSystem1, CoordinateSystem2, Dimension1, Dimension2, Point1, Point2 >

Traits class binding a transformation strategy to a coordinate system.

Can be specialized

- per coordinate system family (tag)
- per coordinate system (or groups of them)
- per dimension
- per point type
  Template Parameters:

    CoordinateSystemTag | 1,2 coordinate system tags
    CoordinateSystem | 1,2 coordinate system
    D | 1, 2 dimension
    Point | 1, 2 point type

## Member Function Documentation

template<typename CoordinateSystemTag1 , typename CoordinateSystemTag2 , typename CoordinateSystem1 , typename CoordinateSystem2 , std::size_t Dimension1, std::size_t Dimension2, typename Point1 , typename Point2 >

boost::geometry::strategy::transform::services::default_strategy< CoordinateSystemTag1, CoordinateSystemTag2, CoordinateSystem1, CoordinateSystem2, Dimension1, Dimension2, Point1, Point2 >::BOOST_MPL_ASSERT_MSG | ( | false | ,
|  | NOT_IMPLEMENTED_FOR_THIS_POINT_TYPES | ,
|  | (types< Point1, Point2 >) |
| ) |  |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK